Name:          atom-ng-bin
Epoch:         1
Version:       1.66.12
Release:       1mamba
Summary:       A text editor that's modern, approachable, yet hackable to the core (community maintained fork)
Group:         Graphical Desktop/Applications/Utilities
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://thorium.rocks/atom-ng/
Source:        https://github.com/Alex313031/atom-ng/releases/download/v%{version}/Atom-ng_linux_%{version}_AVX.zip
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libX11-devel
BuildRequires: libXcomposite-devel
BuildRequires: libXdamage-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXrandr-devel
BuildRequires: libalsa-devel
BuildRequires: libat-spi2-core-devel
BuildRequires: libcairo-devel
BuildRequires: libcups-devel
BuildRequires: libcurl-devel
BuildRequires: libdbus-devel
BuildRequires: libdrm-devel
BuildRequires: libexpat-devel
BuildRequires: libgcc
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libglib-devel
BuildRequires: libgtk3-devel
BuildRequires: libmesa-devel
BuildRequires: libnspr-devel
BuildRequires: libnss-devel
BuildRequires: libopenssl111
BuildRequires: libpango-devel
BuildRequires: libperl
BuildRequires: libsecret-devel
BuildRequires: libstdc++6-devel
BuildRequires: libxcb-devel
BuildRequires: libxkbcommon-devel
BuildRequires: libxkbfile-devel
BuildRequires: libxshmfence-devel
BuildRequires: libz-devel
BuildRequires: perl(Git)
BuildRequires: perl(Git::I18N)
BuildRequires: perl(Git::LoadCPAN)
BuildRequires: perl(Git::LoadCPAN::Error)
BuildRequires: perl(Git::SVN)
BuildRequires: perl(Git::SVN::Utils)
BuildRequires: perl-CGI
BuildRequires: perl-DBI
BuildRequires: perl-Encode
BuildRequires: perl-Scalar-List-Utils
BuildRequires: perl-YAML
BuildRequires: perl-devel
BuildRequires: perl-subversion
## AUTOBUILDREQ-END
Provides:      atom-bin
Obsoletes:     atom-bin <= 1.63.1-1mamba

%description
Atom is a text editor that's modern, approachable, yet hackable to the core—a tool you can customize to do anything but also use productively without ever touching a config file (upstream binary distribution).

%global __provides_exclude_from ^%{_datadir}/atom-ng-bin/.*$
%global __requires_exclude ^(libffmpeg.so.*|libEGL.so.*|ibGLESv2.so.*|libvk_swiftshader.so.*)$

%prep
%setup -q -n Atom-ng_%{version}_AVX

%build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

install -d -m0755 %{buildroot}%{_datadir}/atom-ng-bin

cp -a * %{buildroot}%{_datadir}/atom-ng-bin/

install -d -m0755 %{buildroot}%{_bindir}
ln -s %{_datadir}/atom-ng-bin/atom-ng %{buildroot}%{_bindir}/atom-ng-bin

install -d -m0755 %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/atom-ng-bin.desktop << _EOF
[Desktop Entry]
Name=Atom-ng (community maintained fork)
GenericName=Text Editor
Exec=/usr/bin/atom-ng-bin %F
Icon=atom-ng-bin
Type=Application
StartupNotify=true
Categories=GNOME;GTK;Utility;TextEditor;Development;
MimeType=text/plain;
_EOF

install -D -m0644 atom-ng.png %{buildroot}%{_datadir}/pixmaps/atom-ng-bin.png

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/atom-ng-bin
%dir %{_datadir}/atom-ng-bin
%{_datadir}/atom-ng-bin/*
%{_datadir}/applications/atom-ng-bin.desktop
%{_datadir}/pixmaps/atom-ng-bin.png
%doc LICENSE

%changelog
* Tue Feb 11 2025 Silvan Calarco <silvan.calarco@mambasoft.it> 1.66.12-1mamba
- update to 1.66.12

* Wed Nov 23 2022 Automatic Build System <autodist@mambasoft.it> 1.63.1-1mamba
- automatic version update by autodist

* Sat Nov 19 2022 Automatic Build System <autodist@mambasoft.it> 1.63.0-1mamba
- automatic version update by autodist

* Tue Mar 08 2022 Automatic Build System <autodist@mambasoft.it> 1.60.0-1mamba
- automatic version update by autodist

* Wed Feb 09 2022 Automatic Build System <autodist@mambasoft.it> 1.59.0-1mamba
- automatic version update by autodist

* Tue Dec 07 2021 Automatic Build System <autodist@mambasoft.it> 1.58.0-1mamba
- automatic version update by autodist

* Tue Mar 09 2021 Automatic Build System <autodist@mambasoft.it> 1.55.0-1mamba
- automatic version update by autodist

* Sun Feb 28 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.54.0-1mamba
- update to 1.54.0

* Tue Aug 18 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.50.0-1mamba
- update to 1.50.0

* Tue May 21 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 1.37.0-1mamba
- update to 1.37.0

* Wed Mar 06 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 1.34.0-1mamba
- update to 1.34.0

* Sun Sep 03 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 1.18.0-1mamba
- update to 1.18.0

* Sat Sep 02 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 1.19.5-1mamba
- update to 1.19.5

* Wed Aug 30 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 1.19.4-2mamba
- added desktop entry and icon

* Tue Aug 29 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 1.19.4-1mamba
- package upstream binary distribution for x86_64 since there are problems building it from source
